package com.ruoyi.applet.pojo.vo;

import com.ruoyi.model.domain.AppletOrderItemDate;
import lombok.Data;
import org.w3c.dom.stylesheets.LinkStyle;

import java.util.List;

@Data
public class AppletOrderDateAddressReturn {


    private Long orderId;
    private String cityAddress;
    private String address;


    private List<AppletOrderItemDate> appletOrderItemDate;



    public AppletOrderDateAddressReturn(Long orderId, String cityAddress, String address) {
        this.orderId = orderId;
        this.cityAddress = cityAddress;
        this.address = address;
    }

    // Getters and setters (optional, depending on your needs)
    public Long getOrderId() {
        return orderId;
    }

    public String getCityAddress() {
        return cityAddress;
    }

    public String getAddress() {
        return address;
    }

    @Override
    public String toString() {
        return "AppletOrderDateAddressReturn{" +
                "orderId=" + orderId +
                ", cityAddress='" + cityAddress + '\'' +
                ", address='" + address + '\'' +
                '}';
    }

}
